Bug 1066987 - [abrt] cinnamon: _gdk_x11_display_error_event(): cinnamon killed by SIGTRAP
Summary: [abrt] cinnamon: _gdk_x11_display_error_event(): cinnamon killed by SIGTRAP
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:07f743f54fbe8b814cd339e29a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 13:11 UTC by Brian J. Murrell
Modified: 2015-06-06 22:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-06 22:25:38 UTC
Type: ---


Attachments (Terms of Use)
File: .xsession-errors (10.80 KB, text/plain)
2014-02-19 13:11 UTC, Brian J. Murrell
no flags Details
File: backtrace (92.97 KB, text/plain)
2014-02-19 13:11 UTC, Brian J. Murrell
no flags Details
File: cgroup (172 bytes, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (43.62 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: dso_list (18.98 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: environ (2.09 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: maps (83.23 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: open_fds (1.59 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (994 bytes, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details
File: var_log_messages (1.92 KB, text/plain)
2014-02-19 13:12 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2014-02-19 13:11:53 UTC
Description of problem:
Trying to start cinnamon (i.e. log in to desktop)

Version-Release number of selected component:
cinnamon-2.0.14-4.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/cinnamon
kernel:         3.13.3-201.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at /lib64/libgdk-3.so.0
 #3 gdk_x_error at /lib64/libgdk-3.so.0
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #8 XInternAtom at IntAtom.c:181
 #9 gdk_x11_atom_to_xatom_for_display at /lib64/libgdk-3.so.0
 #10 cinnamon_global_init_xdnd at cinnamon-global.c:1516
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 gjs_invoke_c_function at gi/function.c:918

Comment 1 Brian J. Murrell 2014-02-19 13:11:57 UTC
Created attachment 865058 [details]
File: .xsession-errors

Comment 2 Brian J. Murrell 2014-02-19 13:11:59 UTC
Created attachment 865059 [details]
File: backtrace

Comment 3 Brian J. Murrell 2014-02-19 13:12:01 UTC
Created attachment 865060 [details]
File: cgroup

Comment 4 Brian J. Murrell 2014-02-19 13:12:04 UTC
Created attachment 865061 [details]
File: core_backtrace

Comment 5 Brian J. Murrell 2014-02-19 13:12:06 UTC
Created attachment 865062 [details]
File: dso_list

Comment 6 Brian J. Murrell 2014-02-19 13:12:09 UTC
Created attachment 865063 [details]
File: environ

Comment 7 Brian J. Murrell 2014-02-19 13:12:12 UTC
Created attachment 865064 [details]
File: limits

Comment 8 Brian J. Murrell 2014-02-19 13:12:13 UTC
Created attachment 865065 [details]
File: maps

Comment 9 Brian J. Murrell 2014-02-19 13:12:16 UTC
Created attachment 865066 [details]
File: open_fds

Comment 10 Brian J. Murrell 2014-02-19 13:12:20 UTC
Created attachment 865067 [details]
File: proc_pid_status

Comment 11 Brian J. Murrell 2014-02-19 13:12:28 UTC
Created attachment 865068 [details]
File: var_log_messages

Comment 12 leigh scott 2014-02-19 13:18:25 UTC
Remove the hwmonitor applet and reopen the bug if you can reproduce the issue


(cinnamon:2189): St-CRITICAL **: st_drawing_area_get_surface_size: assertion 'area->priv->in_repaint' failed
    JS ERROR: !!!   WARNING: 'assignment to undeclared variable i'
    JS ERROR: !!!   WARNING: file '/home/brian/.local/share/cinnamon/applets/hwmonitor@sylfurd/applet.js' line 118 exception 0 number 156

(cinnamon:2189): St-CRITICAL **: st_drawing_area_get_surface_size: assertion 'area->priv->in_repaint' failed
      JS LOG: network applet: Cannot find connection for active (or connection cannot be read)

Comment 13 Brian J. Murrell 2014-02-20 12:28:56 UTC
How can I do that when I can't even get cinnamon to start?  It always goes back to fall-back mode which is pretty limited and I know of no way to deal with applets in fall-back mode.

Comment 14 leigh scott 2014-02-20 12:53:40 UTC
nemo runs in fallback mode so use right click "open in terminal" and type cinnamon-settings

Comment 15 Brian J. Murrell 2014-02-20 13:02:42 UTC
Nemo is running but right-clicking on the desktop/background doesn't provide any menu so I just ssh'd in and opened an xterm on DISPLAY :0.

But before you sent the cinnamon-settings suggestion I ended up just doing an:

$ rm -rf /home/brian/.local/share/cinnamon/applets/hwmonitor@sylfurd

Cinnamon still crashes to fallback.  .xsession-errors logs the following when I tell the fall-back dialog to restart cinnamon:

Window manager warning: Log level 8: gdk_display_get_screen: assertion 'screen_num == 0' failed
Window manager warning: Log level 8: gtk_window_set_screen: assertion 'GDK_IS_SCREEN (screen)' failed
Window manager warning: Log level 8: gdk_display_get_screen: assertion 'screen_num == 0' failed
      JS LOG: About to start Cinnamon
      JS LOG: Cinnamon started at Thu Feb 20 2014 07:55:45 GMT-0500 (EST)
      JS LOG: network applet: Cannot find connection for active (or connection cannot be read)
Window manager warning: Log level 6: The program 'cinnamon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 4368 error_code 8 request_code 7 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Window manager warning: Log level 8: gdk_display_get_screen: assertion 'screen_num == 0' failed
Window manager warning: Log level 8: gtk_window_set_screen: assertion 'GDK_IS_SCREEN (screen)' failed
Window manager warning: Log level 8: gdk_display_get_screen: assertion 'screen_num == 0' failed
tint2 : nb monitor 1, nb monitor used 1, nb desktop 5
      JS LOG: About to start Cinnamon
      JS LOG: Cinnamon started at Thu Feb 20 2014 07:55:53 GMT-0500 (EST)
      JS LOG: network applet: Cannot find connection for active (or connection cannot be read)
Window manager warning: Log level 6: The program 'cinnamon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 4366 error_code 8 request_code 7 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
cinnamon-session[3903]: WARNING: App 'cinnamon.desktop' respawning too quickly
tint2 : nb monitor 1, nb monitor used 1, nb desktop 4
abrt-applet: repeated problem in cinnamon-2.0.14-4.fc20, not showing the notification

(process:5081): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:5081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:5081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:5081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:5081): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised

Comment 16 Brian J. Murrell 2014-02-20 13:30:25 UTC
Don't mean to sound impatient but should I hang out in this fall-back cinnamon session a bit longer for further testing or shall I just go back to MATE where things are more usable?

Comment 17 Fedora End Of Life 2015-05-29 10:58:57 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Brian J. Murrell 2015-06-06 21:44:06 UTC
Happening in F21 also.

Comment 19 Brian J. Murrell 2015-06-06 22:06:32 UTC
Any chance on getting any progress on this one?

FWIW, I've filed an upstream bug at https://github.com/linuxmint/Cinnamon/issues/4276.

Comment 20 leigh scott 2015-06-06 22:25:38 UTC
Not my job to fix upstream issues.

P.S Don't be a dick and reopen this issue again!

Comment 21 Brian J. Murrell 2015-06-06 22:48:06 UTC
Real professional to use language like that.

I re-opened it because you closed it NOTABUG with a suggestion that did not correct the problem, blaming the problem on an applet when the applet was not the problem.

If you want to close it as WONTFIX that's fair enough, but I am not a dick for reopening the bug when it was closed inaccurately.


Note You need to log in before you can comment on or make changes to this bug.